runtest(1)

NAME
runtest - the DejaGnu test driver program

SYNOPSIS
runtest [ options ]

DESCRIPTION
DejaGnu is a framework for running test suites on GNU tools. It is written in expect, which uses TCL (Tool command language). runtest is the test driver program; use it to control what tests to run, and variations on how to run them. You can find a comprehensive description of DejaGnu and runtest in The DejaGnu Testing Framework or its Info version, dejagnu.info.

OPTIONS

--all
    Print all test output to screen. By default, only unexpected results are displayed.

--baud rate
    Set the baud rate for a serial line connection. Some serial interface programs (like tip) don't use this value but instead use a separate initialization file.

--connect type
    The type of connection to use. The choices are rlogin, telnet, rsh, kermit, tip and mondfe.

--debug
    Turn on expect internal debugging output. All output is logged to a file called dbg.out. The output of the --strace also goes into this file.

--help
    Prints out a help screen and then exits.

--host type
    The configuration string for the host.

--ignore test1.exp test2.exp ...
    Do not run the specified tests.

--mail 'name1 name2 ...'
    Electronic mail addresses to receive test results.

--name hostname
    The network hostname of the target board.

--objdir path
    path is a directory containing compiled test code.

--outdir directory
    The name of a directory for test log output.

--reboot
    Reboot the target board when runtest initializes (if supported).

--srcdir path
    path is a directory containing test directories.

--strace N
    Turns on expect internal tracing to N levels deep.

--target type
    The configuration string for the target.

--tool toolname
    Specify the tool to be tested. toolname controls the test suite applied, and the associated initialization module.

--verbose, -v
    Turns on more debugging output from test cases and DejaGnu utility code. Use more than once to increase output further.

--version, -V
    Prints out the versions of DejaGnu, expect and Tcl.

-D[number]
    Activate the Tcl debugger.number can be either 1 or 0. If it is 1, then the expect shell will break when it starts to run. All ^C's drop DejaGnu back to the debugger prompt. A 0 starts DejaGnu like normal, but a ^C drops to the debugger prompt.

Any file name on the command line is assumed to be a subset
    of the test names to run. Usually these are the names of the expect test driver, ie... special.exp. Makefile style variables are used to specify tool names and their flags; these and other configuration dependent values are saved in the file site.exp, created during configuration.

EXIT CODES
runtest sets the exit code to 1 if any of the tests failed, or sets it to 0 if all the tests passed.

SEE ALSO
The DejaGnu Testing Framework (dejagnu.info). This is the DejaGnu manual; its source is the Texinfo file doc/dejagnu.texi in the DejaGnu distribution.

AUTHOR
Rob Savoye (rob@welcomehome.org)